# MySQL-Front Dump 2.5
#
# Host: localhost   Database: envivo35pro
# --------------------------------------------------------
# Server version 3.23.57-max-debug


#
# Table structure for table 'articles'
#

CREATE TABLE articles (
  ID int(10) unsigned NOT NULL auto_increment,
  category int(11) default NULL,
  title varchar(255) default NULL,
  startdate datetime default NULL,
  enddate datetime default NULL,
  releasetoweb smallint(6) default NULL,
  readcount int(11) default NULL,
  datecreated datetime default NULL,
  createdby varchar(255) default NULL,
  datemodified datetime default NULL,
  modifiedby varchar(255) default NULL,
  author varchar(150) default NULL,
  authoremail varchar(150) default NULL,
  updateauthor varchar(150) default NULL,
  updateauthoremail varchar(150) default NULL,
  rank int(11) default NULL,
  image1 varchar(255) default NULL,
  image2 varchar(255) default NULL,
  abstract longtext,
  article longtext,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'articles_status'
#

CREATE TABLE articles_status (
  ID int(10) unsigned NOT NULL auto_increment,
  ArticleID int(11) default NULL,
  StatusID int(11) default NULL,
  datecheckedout datetime default NULL,
  checkedoutby varchar(255) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'articlespub'
#

CREATE TABLE articlespub (
  ID int(11) default NULL,
  category int(11) default NULL,
  title varchar(255) default NULL,
  startdate datetime default NULL,
  enddate datetime default NULL,
  releasetoweb smallint(6) default NULL,
  readcount int(11) default NULL,
  datecreated datetime default NULL,
  createdby varchar(255) default NULL,
  datemodified datetime default NULL,
  modifiedby varchar(255) default NULL,
  author varchar(150) default NULL,
  authoremail varchar(150) default NULL,
  updateauthor varchar(150) default NULL,
  updateauthoremail varchar(150) default NULL,
  rank int(11) default NULL,
  image1 varchar(255) default NULL,
  image2 varchar(255) default NULL,
  abstract longtext,
  article longtext
) TYPE=MyISAM;



#
# Table structure for table 'categories'
#

CREATE TABLE categories (
  ID int(10) unsigned NOT NULL auto_increment,
  categoryname varchar(80) default NULL,
  displaytemplate int(11) default NULL,
  listtemplate int(11) default NULL,
  securitylevel smallint(6) default NULL,
  datecreated datetime default NULL,
  createdby varchar(255) default NULL,
  datemodified datetime default NULL,
  modifiedby varchar(255) default NULL,
  categorypagetemplate int(11) default NULL,
  articlepagetemplate int(11) default NULL,
  parentcategory int(11) default NULL,
  releasetoweb smallint(6) default NULL,
  asparticlepagetemplate varchar(50) default NULL,
  aspcategorypagetemplate varchar(50) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'category_extranet_group_permissions'
#

CREATE TABLE category_extranet_group_permissions (
  ID int(10) unsigned NOT NULL auto_increment,
  CategoryID int(11) default NULL,
  AllowedExtranetGroupID int(11) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'category_extranet_user_permissions'
#

CREATE TABLE category_extranet_user_permissions (
  ID int(10) unsigned NOT NULL auto_increment,
  CategoryID int(11) default NULL,
  AllowedExtranetUserID int(11) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'category_user_group_permissions'
#

CREATE TABLE category_user_group_permissions (
  ID int(10) unsigned NOT NULL auto_increment,
  CategoryID int(11) default NULL,
  AllowedUserGroupID int(11) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'category_user_permissions'
#

CREATE TABLE category_user_permissions (
  ID int(10) unsigned NOT NULL auto_increment,
  CategoryID int(11) default NULL,
  AllowedUserID int(11) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'config'
#

CREATE TABLE config (
  ID int(10) unsigned NOT NULL auto_increment,
  setting_name varchar(255) default NULL,
  setting_value varchar(255) default NULL,
  setting_type varchar(50) default NULL,
  setting_group varchar(50) default NULL,
  description varchar(255) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'extranet_group_members'
#

CREATE TABLE extranet_group_members (
  ID int(10) unsigned NOT NULL auto_increment,
  ExtranetUserID int(11) default NULL,
  GroupID int(11) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'extranet_groups'
#

CREATE TABLE extranet_groups (
  ID int(10) unsigned NOT NULL auto_increment,
  groupname varchar(255) default NULL,
  description varchar(255) default NULL,
  datecreated datetime default NULL,
  createdby varchar(255) default NULL,
  datemodified datetime default NULL,
  modifiedby varchar(255) default NULL,
  isdisabled int(11) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'extranet_users'
#

CREATE TABLE extranet_users (
  ID int(10) unsigned NOT NULL auto_increment,
  username varchar(255) default NULL,
  fullname varchar(255) default NULL,
  pword varchar(255) default NULL,
  email varchar(255) default NULL,
  datecreated datetime default NULL,
  createdby varchar(255) default NULL,
  datemodified datetime default NULL,
  modifiedby varchar(255) default NULL,
  isdisabled int(11) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'shortcuts'
#

CREATE TABLE shortcuts (
  ID int(10) unsigned NOT NULL auto_increment,
  directory varchar(50) default NULL,
  URL varchar(255) default NULL,
  description varchar(100) default NULL,
  datecreated datetime default NULL,
  createdby varchar(255) default NULL,
  datemodified datetime default NULL,
  modifiedby varchar(255) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'templates'
#

CREATE TABLE templates (
  ID int(10) unsigned NOT NULL auto_increment,
  createdby varchar(255) default NULL,
  datecreated datetime default NULL,
  modifiedby varchar(255) default NULL,
  datemodified datetime default NULL,
  templatename varchar(50) default NULL,
  templatetype int(11) default NULL,
  templateHTML text,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'user_group_members'
#

CREATE TABLE user_group_members (
  ID int(10) unsigned NOT NULL auto_increment,
  UserID int(11) default NULL,
  GroupID int(11) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'user_groups'
#

CREATE TABLE user_groups (
  ID int(10) unsigned NOT NULL auto_increment,
  groupname varchar(255) default NULL,
  description varchar(255) default NULL,
  datecreated datetime default NULL,
  createdby varchar(255) default NULL,
  datemodified datetime default NULL,
  modifiedby varchar(255) default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;



#
# Table structure for table 'users'
#

CREATE TABLE users (
  ID int(10) unsigned NOT NULL auto_increment,
  username varchar(255) default NULL,
  pword varchar(255) default NULL,
  fullname varchar(80) default NULL,
  email varchar(80) default NULL,
  securitylevel int(11) default NULL,
  createdby varchar(255) default NULL,
  datecreated datetime default NULL,
  modifiedby varchar(255) default NULL,
  datemodified datetime default NULL,
  lastlogin datetime default NULL,
  PRIMARY KEY  (ID)
) TYPE=MyISAM;

